Summary: A privileged helper for utmp/wtmp updates
Name: libutempter
Version: 1.2.1
Release: 7%{?dist}
License: LGPLv2+
URL: ftp://ftp.altlinux.org/pub/people/ldv/utempter
Source0: ftp://ftp.altlinux.org/pub/people/ldv/utempter/%{name}-%{version}.tar.gz

BuildRequires: gcc, make

Requires(pre): shadow-utils

Provides: utempter = 0.5.2

%description
This library provides interface for terminal emulators(screen and xterm) to record user sessions in utmp and wtmp files.

%package devel
Summary: Development environment for utempter
Requires: libutempter = %{version}-%{release}

%description devel
This package contains development files required to build
utempter-based software.

%prep
%autosetup

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" \
    libdir="%{_libdir}" libexecdir="%{_libexecdir}"

%install
%make_install libdir="%{_libdir}" libexecdir="%{_libexecdir}"

rm -f %{buildroot}%{_libdir}/*.a

%pre
%{_sbindir}/groupadd -g 22 -r -f utmp || :
%{_sbindir}/groupadd -g 35 -r -f utempter || :


%files
%license COPYING
%doc README
%{_libdir}/libutempter.so.0
%{_libdir}/libutempter.so.1.*
%dir %attr(755,root,utempter) %{_libexecdir}/utempter
%attr(2711,root,utmp) %{_libexecdir}/utempter/utempter

%files devel
%{_includedir}/utempter.h
%{_libdir}/libutempter.so
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 22 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.1-2
- fixed building error.

* Thu Jul 21 2022 Feng Weiyao <wynnfeng@tencnet.com> - 1.2.1-1
- package init.